---
layout: default
title: Search
---
<div class="container" style="margin-top: 30px;">
    <form action="{{ site.baseurl }}/search" method="get">
        <div class="input-group">
            <input
                id="search-input"
                class="form-control form-control-lg"
                name="query"
                type="text"
                placeholder="Search the Docs..."
                />
            <div class="input-group-append">
                <button class="btn btn-outline-primary" role="submit">
                <i class="fas fa-search"></i>
                </button>
            </div>
        </div>
    </form>
    <hr />
    <div class="row">
        <div id="search-results" class="search-results"></div>
    </div>
</div>
<script>
    window.store = {
      {% for facet in site.facets %}
        "{{ site.baseurl }}{{ facet.url | slugify }}": {
          "title": "{{ facet.title | xml_escape }}",
          "category": "{{ facet.category | xml_escape }}",
          "content": {{ facet.content | strip_html | strip_newlines | jsonify }},
          "url": "{{ site.baseurl }}{{ facet.url | xml_escape }}",
          "collection": "Facets"
        }
        {% unless forloop.last %},{% endunless %}
      {% endfor %},
      {% for reference in site.references %}
        "{{ site.baseurl }}{{ reference.url | slugify }}": {
          "title": "{{ reference.title | xml_escape }}",
          "category": "{{ reference.category | xml_escape }}",
          "content": {{ reference.content | strip_html | strip_newlines | jsonify }},
          "url": "{{ site.baseurl }}{{ reference.url | xml_escape }}",
          "collection": "References"
        }
        {% unless forloop.last %},{% endunless %}
      {% endfor %},
       {% for example in site.examples %}
        "{{ site.baseurl }}{{ example.url | slugify }}": {
          "title": "{{ example.title | xml_escape }}",
          "category": "{{ example.category | xml_escape }}",
          "content": {{ example.content | strip_html | strip_newlines | jsonify }},
          "url": "{{ site.baseurl }}{{ example.url | xml_escape }}",
          "collection": "Examples"
        }
        {% unless forloop.last %},{% endunless %}
      {% endfor %}
    };
</script>
<script src="{{ site.baseurl }}/assets/scripts/lib/lunr.min.js"></script>
<script src="{{ site.baseurl }}/assets/scripts/search.js"></script>
